@inject('pageRepository', 'App\Repositories\PageRepository')

@php
    $pages = $pageRepository->findByView('page/page');
@endphp

<footer id="footer" class="site-footer">
    <div class="site-footer__links">
        <div class="container">
            <div class="grid">
                <div class="col-md-3">
                    <div class="group">
                        <ul class="group__section">
                            @foreach ($pages['data'] as $data)
                                <li class="group__item">
                                    <a href="/{{ $data['slug'] }}">{{ $data['title'] }}</a>
                                </li>
                            @endforeach
                        </ul>
                    </div>
                </div>
                <div class="col-md-9">
                    <div class="group group--social-media">
                        <ul class="group__section">
                            <li class="group__item">
                                <a href="https://twitter.com/WarpCoreCafe" target="_blank">
                                    <i class="icon icon-twitter"></i>
                                </a>
                            </li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="site-footer__note">
        <div class="container">
            <div class="grid">
                <div class="col-12">
                    <p class="text-center">
                        Diese Seite wird durch <a href="https://directus.io/" target="_blank">Directus</a> und dem Directus PHP Client der <a href="https://tentakelfabrik.de" target="_blank">Tentakelfabrik</a> angezeigt
                    </p>
                </div>
            </div>
        </div>
    </div>
</footer>
